×

INDI Library v1.9.9 Released (30 Nov 2022)

Bi-monthly INDI Library released with new drivers and bug fixes.

OSX: High Sierra (10.13) can only run up to Kstars 3.5.9

  • Posts: 2151
  • Thank you received: 205
At the moment, if you are running High Sierra on an old mac then the highest Kstars you can run is 3.5.9 as 3.6.0 is no longer compatible.
Just downgraded back to 3.5.9
Kstars Mac osx
Odroid C4 / WO Redcat51 / CEM25p / ZWO533MC / QHY5L-II-M (OAG)
The following user(s) said Thank You: R Dan Nafe, Tom van Peer
Last edit: 4 months 3 hours ago by Gonzothegreat.
4 months 5 hours ago #85205

Please Log in or Create an account to join the conversation.

  • Posts: 2826
  • Thank you received: 792
This was because it was built with craft. Please see this post: indilib.org/forum/general/12065-kstars-b...cbook-too.html#85538

Please test to see if it is fixed now.
The following user(s) said Thank You: Gonzothegreat
3 months 2 weeks ago #85541

Please Log in or Create an account to join the conversation.

  • Posts: 2826
  • Thank you received: 792
I just rebuilt kstars dmg with fixes for the find dialog bug and the startup bug with asteroids.dat. The new dmg is now on the kde download site. Unfortunately, I did finally have to go along with KDE/Craft's decision to switch our support from 10.13 to 10.15 as the minimum MacOS level. Too many of the craft packages come from the binary server and were compiled for 10.15 now that they made the change. Having to rebuild everything for 10.13 and hope that it all builds without issue is problematic especially since they said that the reason they switched to 10.15 is because some newer versions of packages will no longer build properly for that version of MacOS. So sadly we will have to switch and I guess update our statement on the website that it supports 10.13 since it won't anymore :-(
3 months 1 week ago #85729

Please Log in or Create an account to join the conversation.

Time to create page: 0.183 seconds